> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/how-to-articles/enable-the-recording-server-log.md).

# Enable the recording server log

Enable logging for the legacy Devolutions Server recording server by editing the log4net.config file and restarting the Collector and Processor services.

{% hint style="info" %}
This version of the recording server is no longer supported.
{% endhint %}

The following procedure describes how to enable the logging utility for the Devolutions Server ***Recording Server***.

### Enable logs

1. To edit the **log4net.config** file, click on the ***Explore*** button of the ***Recording Server*** section of the ***Companions*** tab in the Devolutions Server Console.
2. Set the file value parameter with the full log file path. Ensure that the backslashes are doubled.

{% hint style="warning" %}
Make certain the destination folder for the logs has writing rights.
{% endhint %}

3. Set the level value parameter to ALL.
4. Restart both Collector and Processor services on the server after any modification of these files.

{% hint style="info" %}
Ensure to set the level value back to ERROR and restart the services once the investigation is completed.
{% endhint %}

```
<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="c:\\Logs\\collector.log" />
    <appendToFile value="true" />
    <maximumFileSize value="1MB" />
    <maxSizeRollBackups value="5" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %5level %logger.%method [%line] - MESSAGE: %message%newline %exception" />
    </layout>
  </appender>
  <root>
    <level value="ALL" />
    <appender-ref ref="RollingFile" />
  </root>
</log4net>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/knowledge-base/how-to-articles/enable-the-recording-server-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
